==============
Data Providers
==============

DataProviders
=============

Base
----
..  doxygenclass:: paddle::DataProvider
    :members:

DataProviderGroup
-----------------
..  doxygenclass:: paddle::DataProviderGroup
    :members:

MultiDataProvider
-----------------
..  doxygenclass:: paddle::MultiDataProvider
    :members:

PyDataProvider
==============

IFieldScanner
-------------
..  doxygenclass:: paddle::IFieldScanner
    :members:

DenseScanner
-------------
..  doxygenclass:: paddle::DenseScanner
    :members:

IndexScanner
-------------
..  doxygenclass:: paddle::IndexScanner
    :members:

SparseNonValueScanner
---------------------
..  doxygenclass:: paddle::SparseNonValueScanner
    :members:

SparseValueScanner
------------------
..  doxygenclass:: paddle::SparseValueScanner
    :members:

SequenceScanner
---------------
..  doxygenclass:: paddle::SparseValueScanner
    :members:

IPyDataProviderCache
--------------------
..  doxygenclass:: paddle::IPyDataProviderCache
    :members:

NoCacheStrategy
---------------
..  doxygenclass:: paddle::NoCacheStrategy
    :members:

CacheOnePassInMemory
--------------------
..  doxygenclass:: paddle::CacheOnePassInMemory
    :members:

IPyDataProvider
---------------
..  doxygenclass:: paddle::PyDataProvider2
    :members:

ProtoDataProvider
=================

ProtoDataProvider
----------------
..  doxygenclass:: paddle::ProtoDataProvider
    :members:

ProtoSequenceDataProvider
-------------------------
..  doxygenclass:: paddle::ProtoSequenceDataProvider
    :members:
